# Uses of Enum Class
javax.tools.Diagnostic.Kind

Packages that use Diagnostic.Kind
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.annotation.processing
Facilities for declaring annotation processors and for allowing annotation processors to communicate with an annotation processing tool environment.
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.
jdk.javadoc.doclet
The Doclet API provides an environment which, in conjunction with the Language Model API and Compiler Tree API, allows clients to inspect the source-level structures of programs and libraries, including API comments embedded in the source.

## Uses of Diagnostic.Kind in com.sun.source.util

Methods in com.sun.source.util with parameters of type Diagnostic.Kind
Modifier and Type
Method
Description
`abstract void`
DocTrees.`printMessage​(Diagnostic.Kind kind, CharSequence msg, DocTree t, DocCommentTree c, CompilationUnitTree root)`
Prints a message of the specified kind at the location of the tree within the provided compilation unit
`abstract void`
Trees.`printMessage​(Diagnostic.Kind kind, CharSequence msg, Tree t, CompilationUnitTree root)`
Prints a message of the specified kind at the location of the tree within the provided compilation unit

## Uses of Diagnostic.Kind in javax.annotation.processing

Methods in javax.annotation.processing with parameters of type Diagnostic.Kind
Modifier and Type
Method
Description
`void`
Messager.`printMessage​(Diagnostic.Kind kind, CharSequence msg)`
Prints a message of the specified kind.
`void`
Messager.`printMessage​(Diagnostic.Kind kind, CharSequence msg, Element e)`
Prints a message of the specified kind at the location of the element.
`void`
Messager.`printMessage​(Diagnostic.Kind kind, CharSequence msg, Element e, AnnotationMirror a)`
Prints a message of the specified kind at the location of the annotation mirror of the annotated element.
`void`
Messager.`printMessage​(Diagnostic.Kind kind, CharSequence msg, Element e, AnnotationMirror a, AnnotationValue v)`
Prints a message of the specified kind at the location of the annotation value inside the annotation mirror of the annotated element.

## Uses of Diagnostic.Kind in javax.tools

Methods in javax.tools that return Diagnostic.Kind
Modifier and Type
Method
Description
`Diagnostic.Kind`
Diagnostic.`getKind()`
Returns the kind of this diagnostic, for example, error or warning.
`static Diagnostic.Kind`
Diagnostic.Kind.`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static Diagnostic.Kind[]`
Diagnostic.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Diagnostic.Kind in jdk.javadoc.doclet

Methods in jdk.javadoc.doclet with parameters of type Diagnostic.Kind
Modifier and Type
Method
Description
`void`
Reporter.`print​(Diagnostic.Kind kind, DocTreePath path, String msg)`
Print an error message and increment error count.
`void`
Reporter.`print​(Diagnostic.Kind kind, String msg)`
Print error message and increment error count.
`void`
Reporter.`print​(Diagnostic.Kind kind, Element e, String msg)`
Print an error message and increment error count.